Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.module.cxf
Enum CxfPayloadToArguments

    java.lang.Object
      java.lang.Enum<CxfPayloadToArguments>
          org.mule.module.cxf.CxfPayloadToArguments

All Implemented Interfaces:
  Serializable, Comparable<CxfPayloadToArguments>

    public enum CxfPayloadToArguments

extends Enum<CxfPayloadToArguments>

This enum defines the strategies to convert a Payload to an array of arguments that will be used to call the webservice in `CxfOutboundMessageProcessor.doSendWithClient(org.mule.api.MuleEvent)` and in `CxfOutboundMessageProcessor.doSendWithProxy(org.mule.api.MuleEvent)`.

Enum Constant Summary
`NULL_PAYLOAD_AS_PARAMETER` In this strategy, if the payload is of type `NullPayload` it will be send as a parameter just like any other object.
`NULL_PAYLOAD_AS_VOID` In this strategy, if the payload is of type `NullPayload` it will not be send as a parameter.

Method Summary
`String` | `getPayloadToArgumentsParameterValue()`
`Object[]` | `payloadToArrayOfArguments(Object payload)` This method is the one that converts the payload in an array of arguments.
`static CxfPayloadToArguments` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CxfPayloadToArguments[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NULL_PAYLOAD_AS_PARAMETER

    public static final CxfPayloadToArguments NULL_PAYLOAD_AS_PARAMETER

  In this strategy, if the payload is of type `NullPayload` it will be send as a parameter just like any other object.

### NULL_PAYLOAD_AS_VOID

    public static final CxfPayloadToArguments NULL_PAYLOAD_AS_VOID

  In this strategy, if the payload is of type `NullPayload` it will not be send as a parameter. The array of arguments in this case will be empty. For the rest of the objects it behaves just like `NULL_PAYLOAD_AS_PARAMETER` (it will delegate to `payloadToArrayOfArguments(Object)`).

Method Detail

### values

    public static CxfPayloadToArguments[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CxfPayloadToArguments c : CxfPayloadToArguments.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CxfPayloadToArguments valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### payloadToArrayOfArguments

    public Object[] payloadToArrayOfArguments(Object payload)

  This method is the one that converts the payload in an array of arguments. In this default implementation if the payload is already an array of `objects` that array will be returned. Otherwise, an array with one element, the payload, will be returned.

  Parameters:
    `payload` - the payload to convert to array of arguments.
  Returns:
    the array of arguments

### getPayloadToArgumentsParameterValue

    public String getPayloadToArgumentsParameterValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.